RP_REGISTER_DESTROY_FUNC(3)

FUNCTION
rp_register_destroy_func - Register randpool destroy callback.

SYNOPSIS
#include <karma_rp.h>

void rp_register_destroy_func

(RandPool rp, void (*destroy_func) (),void *info)

DESCRIPTION
This routine will register a routine which should be called when a random pool is destroyed.

rp  The random pool.

destroy_func
    The function which is called when the random pool is destroyed. The prototype function is <-rp_PROTO_destroy_func->. Multiple destroy functions may be registered, with the first one registered being the first one called upon destroy.

info
    A pointer to the arbitrary information passed to the destroy function. This may be NULL.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/